<?php
/**
 * Core file.
 *
 * This is the template that includes all the other files for core featured of Theme Palace
 *
 * @package Theme Palace
 * @subpackage Yule
 * @since Yule 1.0.0
 */

/**
 * Include options function.
 */
require get_template_directory() . '/inc/options.php';


// Load customizer defaults values
require get_template_directory() . '/inc/customizer/defaults.php';


/**
 * Merge values from default options array and values from customizer
 *
 * @return array Values returned from customizer
 * @since Yule 1.0.0
 */
function yule_get_theme_options() {
  $yule_default_options = yule_get_default_theme_options();

  return array_merge( $yule_default_options , get_theme_mod( 'yule_theme_options', $yule_default_options ) ) ;
}

/**
 * Load admin custom styles
 * 
 */
function yule_load_admin_style() {
    wp_register_style( 'yule_admin_css', get_template_directory_uri() . '/assets/css/admin-style.css', false, '1.0.0' );
    wp_enqueue_style( 'yule_admin_css' );
}
add_action( 'admin_enqueue_scripts', 'yule_load_admin_style' );

/**
 * Add helper functions.
 */
require get_template_directory() . '/inc/helpers.php';

/**
 * Add structural hooks.
 */
require get_template_directory() . '/inc/structure.php';

/**
 * Add metabox
 */
require get_template_directory() . '/inc/metabox.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/inc/customizer/customizer.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/inc/sections/sections.php';

/**
 * Custom widget additions.
 */
require get_template_directory() . '/inc/widgets/widgets.php';

/**
* TGM plugin additions.
*/
require get_template_directory() . '/inc/tgm-plugin/tgm-hook.php';

/**
* WooCommerce support.
*/
if ( yule_is_woocommerce_activated() ) {
  require get_template_directory() . '/inc/woo-support.php';
}