<?php
/**
 * Latest options
 *
 * @package Theme Palace
 * @subpackage Yule
 * @since Yule 1.0.0
 */

// Add archive section
$description = '';
if ( ! yule_is_woocommerce_activated() ) {
	$description = sprintf( esc_html__( 'Latest section options. This section works only when %1$sWooCommerce%2$s is activated.', 'yule' ), '<a href="' . esc_url( __( 'https://wordpress.org/plugins/woocommerce/', 'yule' ) ) . '">', '</a>' );
}

$wp_customize->add_section( 'yule_latest_section', array(
	'title'             => esc_html__( 'Latest','yule' ),
	'description'       => $description,
	'panel'             => 'yule_front_page_panel',
) );

// Latest section title control and setting
$wp_customize->add_setting( 'yule_theme_options[latest_section_title]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'          	=> $options['latest_section_title'],
	'transport'			=> 'postMessage',
) );

$wp_customize->add_control( 'yule_theme_options[latest_section_title]', array(
	'label'             => esc_html__( 'Latest Section Title:', 'yule' ),
	'section'           => 'yule_latest_section',
) );

// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'yule_theme_options[latest_section_title]', array(
		'selector'            => '#latest-products .section-header h2.section-title',
		'settings'            => 'yule_theme_options[latest_section_title]',
		'container_inclusive' => false,
		'fallback_refresh'    => true,
		'render_callback'     => 'yule_latest_section_title_partial',
    ) );
}