<?php
/**
 * The template for displaying search results pages.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package Theme Palace
 * @subpackage Yule
 * @since Yule 1.0.0
 */

get_header(); ?>
	<div id="page-header" class="relative">
        <div class="wrapper">
            <header class="page-header">
                <h2 class="page-title">
                	<?php printf( esc_html__( 'Search Results for: %s', 'yule' ), '<span>' . get_search_query() . '</span>' ); ?>
                </h2>
            </header><!-- .page-header -->
        </div><!-- .wrapper -->
    </div><!--#header-image -->
	<div id="inner-content-wrapper" class="page-section">
	    <div class="wrapper">
			<div id="primary" class="content-area">
				<main id="main" class="site-main" role="main">
					<div class="posts-wrapper blog-posts col-3">

						<?php
						if ( have_posts() ) : ?>

							<?php
							/* Start the Loop */
							while ( have_posts() ) : the_post();

								/**
								 * Run the loop for the search to output the results.
								 * If you want to overload this in a child theme then include a file
								 * called content-search.php and that will be used instead.
								 */
								get_template_part( 'template-parts/content', 'search' );

							endwhile;

						else :

							get_template_part( 'template-parts/content', 'none' );

						endif; 

						/**
						* Hook - yule_action_pagination.
						*
						* @hooked yule_pagination 
						*/
						do_action( 'yule_action_pagination' ); 
						?>
					</div>
				</main><!-- #main -->
			</div><!-- #primary -->

			<?php
			if ( yule_is_sidebar_enable() ) {
				get_sidebar();
			}
			?>
		</div>
	</div>
<?php
get_footer();
